package com.xzzn.ems.domain.vo;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 总表详细数据
 */
public class AmmeterDataDetailInfo
{
    /** 类别 */
    private String category;

    /** 总 (kWh) */
    private BigDecimal totalKwh;

    /** 尖 (kWh) */
    private BigDecimal sharpKwh;

    /** 峰 (kWh) */
    private BigDecimal peakKwh;

    /** 平 (kWh) */
    private BigDecimal flatKwh;

    /** 谷 (kWh) */
    private BigDecimal valleyKwh;

    /** 总表设备Id */
    private Long deviceId;

    /** 数据更新时间 */
    private Date updateTime;

    public BigDecimal getValleyKwh() {
        return valleyKwh;
    }

    public void setValleyKwh(BigDecimal valleyKwh) {
        this.valleyKwh = valleyKwh;
    }

    public BigDecimal getFlatKwh() {
        return flatKwh;
    }

    public void setFlatKwh(BigDecimal flatKwh) {
        this.flatKwh = flatKwh;
    }

    public BigDecimal getPeakKwh() {
        return peakKwh;
    }

    public void setPeakKwh(BigDecimal peakKwh) {
        this.peakKwh = peakKwh;
    }

    public BigDecimal getSharpKwh() {
        return sharpKwh;
    }

    public void setSharpKwh(BigDecimal sharpKwh) {
        this.sharpKwh = sharpKwh;
    }

    public BigDecimal getTotalKwh() {
        return totalKwh;
    }

    public void setTotalKwh(BigDecimal totalKwh) {
        this.totalKwh = totalKwh;
    }

    public String getCategory() {
        return category;
    }

    public void setCategory(String category) {
        this.category = category;
    }

    public Long getDeviceId() {
        return deviceId;
    }

    public void setDeviceId(Long deviceId) {
        this.deviceId = deviceId;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }
}
