package com.xzzn.ems.domain.vo;

import java.math.BigDecimal;
import java.util.List;

/**
 * 单站监控首页数据
 *
 */
public class SiteMonitorHomeVo {


    /**
     * 今日充电量
     */
    private BigDecimal dayChargedCap;

    /**
     * 今日放电量
     */
    private BigDecimal dayDisChargedCap;

    /**
     * 总充电量
     */
    private BigDecimal totalChargedCap;

    /**
     * 总放电量
     */
    private BigDecimal totalDischargedCap;

    /**
     * 告警集合
     */
    private List<SiteMonitorHomeAlarmVo> siteMonitorHomeAlarmVo;

    /**
     * 电网实时功率
     */
    private BigDecimal gridNrtPower;

    /**
     * 储能实时功率-暂空
     */
    private BigDecimal energyStorageNrtPower;

    /**
     * 储能可用电量
     */
    private BigDecimal energyStorageAvailElec;

    /**
     * 负载实时功率-暂空
     */
    private BigDecimal loadNrtPower;

    /**
     * 能量流转数据
     */
    private List<SiteMonitorDataVo> siteMonitorDataVo;

    public BigDecimal getDayChargedCap() {
        return dayChargedCap;
    }

    public void setDayChargedCap(BigDecimal dayChargedCap) {
        this.dayChargedCap = dayChargedCap;
    }

    public BigDecimal getDayDisChargedCap() {
        return dayDisChargedCap;
    }

    public void setDayDisChargedCap(BigDecimal dayDisChargedCap) {
        this.dayDisChargedCap = dayDisChargedCap;
    }

    public BigDecimal getTotalChargedCap() {
        return totalChargedCap;
    }

    public void setTotalChargedCap(BigDecimal totalChargedCap) {
        this.totalChargedCap = totalChargedCap;
    }

    public BigDecimal getTotalDischargedCap() {
        return totalDischargedCap;
    }

    public void setTotalDischargedCap(BigDecimal totalDischargedCap) {
        this.totalDischargedCap = totalDischargedCap;
    }

    public List<SiteMonitorHomeAlarmVo> getSiteMonitorHomeAlarmVo() {
        return siteMonitorHomeAlarmVo;
    }

    public void setSiteMonitorHomeAlarmVo(List<SiteMonitorHomeAlarmVo> siteMonitorHomeAlarmVo) {
        this.siteMonitorHomeAlarmVo = siteMonitorHomeAlarmVo;
    }

    public BigDecimal getGridNrtPower() {
        return gridNrtPower;
    }

    public void setGridNrtPower(BigDecimal gridNrtPower) {
        this.gridNrtPower = gridNrtPower;
    }

    public BigDecimal getEnergyStorageNrtPower() {
        return energyStorageNrtPower;
    }

    public void setEnergyStorageNrtPower(BigDecimal energyStorageNrtPower) {
        this.energyStorageNrtPower = energyStorageNrtPower;
    }

    public BigDecimal getEnergyStorageAvailElec() {
        return energyStorageAvailElec;
    }

    public void setEnergyStorageAvailElec(BigDecimal energyStorageAvailElec) {
        this.energyStorageAvailElec = energyStorageAvailElec;
    }

    public BigDecimal getLoadNrtPower() {
        return loadNrtPower;
    }

    public void setLoadNrtPower(BigDecimal loadNrtPower) {
        this.loadNrtPower = loadNrtPower;
    }

    public List<SiteMonitorDataVo> getSiteMonitorDataVo() {
        return siteMonitorDataVo;
    }

    public void setSiteMonitorDataVo(List<SiteMonitorDataVo> siteMonitorDataVo) {
        this.siteMonitorDataVo = siteMonitorDataVo;
    }
}
